!!read protocol.txt

!if $job=help
  <pre>
  !read protocol.md
  </pre>
  !exit
!endif

<ul>
  <li>lis_person_name_given=$lis_person_name_given</li>
  <li>lis_person_name_family=$lis_person_name_family</li>
  <li>lis_person_name_full=$lis_person_name_full</li>
  <li>ext_user_username=$ext_user_username</li>
  <li>lis_person_contact_email_primary=$lis_person_contact_email_primary</li>
  <li>roles=$roles</li>
</ul>

<h2>Congratulation $lis_person_name_full !</h2>
<p>
  You have passed the OAUTH Authentication.
  Next step : Coding an LTI response.
</p>
<pre class="debug">$data</pre>

!!TODO : il faut stocker quelque-part des liens entre context_id et CLASSID WIMS

!if Instructor isitemof $roles
  <h2>You are connected as Teacher</h2>
  <h2>STEP 1</h2>
  Assignment Setup Page
  <pre>
    The link that you just activated in your learning management system (LMS)
     is not yet associated with an assignment.

    Please select the assignment that should be associated with this link.
    I will remember this choice and send students directly to the assignment.

    * Quiz
    * Homework
    * Practice Exam
  </pre>

  <div class="wimscenter">
    !href module=adm/lti?job=creaclass Créer une classe WIMS
  </div>

  <h2>STEP 2</h2>
  <p>...</p>
!else
  <h2>You are connected as a student</h2>

!endif
